[packages/google-chrome] Catch when there is no ver/rel in xml file.
arekm
arekm at pld-linux.org
Fri Oct 16 14:20:59 CEST 2015
commit 3e9019a03f0fab7086ebcfe72f124e5abf05b1f4
Author: Arkadiusz Miśkiewicz <arekm at maven.pl>
Date: Fri Oct 16 14:20:52 2015 +0200
Catch when there is no ver/rel in xml file.
update-source.sh | 5 +++++
1 file changed, 5 insertions(+)
---
diff --git a/update-source.sh b/update-source.sh
index 93b6633..7c145a1 100755
--- a/update-source.sh
+++ b/update-source.sh
@@ -51,6 +51,11 @@ set -- $(sed -re "s,^.+-([^-]+)-([^-]+).$arch$,\1 \2," $t)
ver=$1
rel=$2
+if [ -z "$ver" -o -z "$rel" ]; then
+ echo "Error: xml file is missing data for ${branch} type"
+ exit 1
+fi
+
# check google-chrome ver only
oldver=$(awk '/^Version:[ \t]+/{print $NF; exit}' $specfile)
oldrel=$(awk '/^Release:[ \t]+/{print $NF; exit}' $specfile)
================================================================
---- gitweb:
http://git.pld-linux.org/gitweb.cgi/packages/google-chrome.git/commitdiff/3e9019a03f0fab7086ebcfe72f124e5abf05b1f4
More information about the pld-cvs-commit
mailing list